(use-modules ((geode packages annotation) #:select (python-stanza))
             ((geode packages models) #:select (stanza-fr))
             ((gnu packages commencement) #:select (gcc-toolchain))
             ((gnu packages haskell) #:select (ghc))
             ((gnu packages haskell-web) #:select (ghc-hxt))
             ((gnu packages haskell-xyz) #:select (ghc-cassava ghc-hs-conllu))
             ((gnu packages python) #:select (python))
             ((gnu packages python-science) #:select (python-pandas))
             ((gnu packages python-xyz) #:select (python-beautifulsoup4))
             ((gnu packages xml) #:select (python-lxml)))

;(define python-edda (load "/home/alice/Logiciel/python-edda/guix.scm"))
;(define edda-clinic (load "/home/alice/Logiciel/EDdAClinic/guix.scm"))
;(define ghc-geode (load "/home/alice/Logiciel/ghc-geode/guix.scm"))

(packages->manifest
  (list
    coreutils ; mktemp for atomic processing, strip CSV headers, general scripting
    ;edda-clinic ; fix and cut the EDdA
    gcc-toolchain ; running haskell
    ghc ; running haskell
    ghc-cassava ; working with CSV in haskell
    ;ghc-geode ; handling corpus files
    ghc-hs-conllu ; working on syntax-annotated documents
    ghc-hxt ; working on xml documents
    python ; scripts
    python-beautifulsoup4 ; extract EDdA metadata from TEI files
    ;python-edda ; TODO
    python-lxml ; fusion articles into tomes for TXM
    python-pandas ; working with CSV in python
    python-stanza ; annotation
    stanza-fr ; annotation
    ))
