#!/bin/sh

source ${0%/*}/../lib.sh

if [ "$#" != 2 ]
then
	die "${PROG_NAME} SOURCE_DIRECTORY TARGET_DIRECTORY"
else
	SOURCE="${1}"
	TARGET="${2}"
	[ -d "${SOURCE}" ] || die "SOURCE_DIRECTORY must be a directory (containing 1 .tei file per tome)"
	[ -d "${TARGET}" ] || die "TARGET_DIRECTORY must be a directory (where output will be generated)"
fi

for T in {1..17}
do
	cleanEDdA < "${SOURCE}/volume$(printf "%02d" $T).tei" \
		| fixEDdA \
		| splitArticles \
				--tome ${T} \
				--xpath "/TEI/text/body/div1" \
				--xml-root "${TARGET}/TEI" \
				--text-root "${TARGET}/Text" \
				--metadata
done
